org.apache.sling.jcr.contentparser

## Enum ContentType

- java.lang.Object
- - java.lang.Enum<ContentType>
  - - org.apache.sling.jcr.contentparser.ContentType

All Implemented Interfaces:
  Serializable, Comparable<ContentType>

Deprecated.
since version 1.2.8 of the `org.apache.sling.jcr.contentparser` bundle; see `org.apache.sling.contentparser.api`

    @ProviderType
    public enum ContentType
    extends Enum<ContentType>

Content types.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`JCR_XML` Deprecated. JCR XML content (FileVault XML).
`JSON` Deprecated. JSON content descriptor file.
`XML` Deprecated. XML content descriptor file.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
`String` `getExtension()` Deprecated.
`static ContentType` `valueOf(String name)` Deprecated. Returns the enum constant of this type with the specified name.
`static ContentType[]` `values()` Deprecated. Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### JSON

    public static final ContentType JSON

Deprecated.
JSON content descriptor file.

See Also:
  JCR ContentLoader JSON descriptor files

#### XML

    public static final ContentType XML

Deprecated.
XML content descriptor file.

See Also:
  JCR ContentLoader XML descriptor files

#### JCR_XML

    public static final ContentType JCR_XML

Deprecated.
JCR XML content (FileVault XML). Also known as extended document view XML. Extends the regular document view as specified by JCR 2.0 by specifics like multivalue and typing information. Is used by Jackrabbit FileVault.

See Also:
  JCR 2.0, 7.3 Document View, Jackrabbit FileVault

### Method Detail

#### values

    public static ContentType[] values()

Deprecated.
Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (ContentType c : ContentType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static ContentType valueOf(String name)

Deprecated.
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### getExtension

    public String getExtension()

Deprecated.

Returns:
  Extension